Bug 1311619 - [RFE] Add Red Hat Documentation tab for Networks and Pools
[RFE] Add Red Hat Documentation tab for Networks and Pools
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: rhvm-doc (Show other bugs)
3.6.0
Unspecified Unspecified
medium Severity low
: ovirt-4.2.2
: ---
Assigned To: Greg Sheremeta
Petr Matyáš
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-24 10:35 EST by Jiri Belka
Modified: 2018-05-23 08:51 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-23 08:51:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: UX
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pstehlik: testing_plan_complete-


Attachments (Terms of Use)
network fixed (66.38 KB, image/png)
2018-02-26 19:20 EST, Greg Sheremeta
no flags Details

  None (edit)
Description Jiri Belka 2016-02-24 10:35:23 EST
Description of problem:

# diff -uNp /usr/share/ovirt-engine/ui-plugins/redhat_support_plugin_rhev/start.html{.orig,}
--- /usr/share/ovirt-engine/ui-plugins/redhat_support_plugin_rhev/start.html.orig       2016-02-24 15:39:17.378788852 +0100
+++ /usr/share/ovirt-engine/ui-plugins/redhat_support_plugin_rhev/start.html    2016-02-24 16:31:25.972595097 +0100
@@ -21,6 +21,9 @@
                        api.addSubTab('Host', 'Red Hat Documentation', 'my-host-subtab-host', '/ovirt-engine/docs/manual/en-US/html/Administration_Guide/chap-Hosts.html',{alignRight: true});
                        api.setTabAccessible('my-host-subtab-host', true);
 
+                       api.addSubTab('Network', 'Red Hat Documentation', 'my-host-subtab-network', '/ovirt-engine/docs/manual/en-US/html/Administration_Guide/chap-Logical_Networks.html',{alignRight: true});
+                       api.setTabAccessible('my-host-subtab-network', true);
+
                        api.addSubTab('Storage', 'Red Hat Documentation', 'my-host-subtab-storage', '/ovirt-engine/docs/manual/en-US/html/Administration_Guide/chap-Storage.html',{alignRight: true});
                        api.setTabAccessible('my-host-subtab-storage', true);

Version-Release number of selected component (if applicable):
redhat-support-plugin-rhev-3.6.0-12.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1. check subtab area in Networks if there is 'Red Hat Documentation' subtab
   pointing to valid doc
2.
3.

Actual results:
does not exist

Expected results:
should exist, we have the doc and other areas are covered with docs subtabs

Additional info:
Comment 1 Jiri Belka 2016-02-24 10:39:39 EST
Please consider 'Pools' as well.
Comment 7 Petr Matyáš 2018-02-22 09:59:51 EST
Tested on rhvm-doc-4.2.2-1.el7ev.noarch

Documentation tab works fine for pools, however it shows just 404 for networks.
Comment 8 Greg Sheremeta 2018-02-26 19:20:00 EST
ugh, thanks, sorry about that. Fixed in rhvm-doc-4.2.2-2
Comment 9 Greg Sheremeta 2018-02-26 19:20 EST
Created attachment 1401083 [details]
network fixed
Comment 10 Petr Matyáš 2018-03-05 09:15:00 EST
Verified on rhvm-doc-4.2.2-2.el7ev.noarch

Note You need to log in before you can comment on or make changes to this bug.